Skip to main content
POST
/
api
/
v1
/
zoom_oauth_connections
curl --request POST \
  --url https://app.attendee.dev/api/v1/zoom_oauth_connections \
  --header 'Authorization: Token YOUR_API_KEY_HERE' \
  --header 'Content-Type: application/json' \
  --data '{
    "zoom_oauth_app_id": "zoa_abcdef1234567890",
    "authorization_code": "AUTH_CODE_FROM_ZOOM",
    "redirect_uri": "https://yourapp.com/oauth/callback",
    "is_local_recording_token_supported": true,
    "is_onbehalf_token_supported": false,
    "metadata": {
      "tenant_id": "1234567890"
    }
  }'
{
  "id": "zoc_abcdef1234567890",
  "zoom_oauth_app_id": "zoa_abcdef1234567890",
  "user_id": "user_abcdef1234567890",
  "account_id": "account_abcdef1234567890",
  "state": "connected",
  "metadata": {
    "tenant_id": "1234567890"
  },
  "is_local_recording_token_supported": true,
  "is_onbehalf_token_supported": false,
  "connection_failure_data": null,
  "created_at": "2025-01-13T10:30:00.123456Z",
  "updated_at": "2025-01-13T10:30:00.123456Z",
  "last_successful_sync_at": null,
  "last_attempted_sync_at": null
}

Authentication

Requires API key authentication via the Authorization header.

Request Body

authorization_code
string
required
The authorization code received from Zoom during the OAuth flow
redirect_uri
string
required
The redirect URI used to obtain the authorization code
zoom_oauth_app_id
string
The Zoom OAuth App the connection is for
is_local_recording_token_supported
boolean
default:"true"
Whether the Zoom OAuth Connection supports generating local recording tokens
is_onbehalf_token_supported
boolean
default:"false"
Whether the Zoom OAuth Connection supports generating onbehalf tokens
metadata
object
JSON object containing metadata to associate with the Zoom OAuth Connection

Response

id
string
Unique identifier for the Zoom OAuth connection
zoom_oauth_app_id
string
ID of the Zoom OAuth app this connection belongs to
user_id
string
Zoom user ID
account_id
string
Zoom account ID
state
string
Connection state (connected or disconnected)
metadata
object
Metadata associated with the Zoom OAuth connection
is_local_recording_token_supported
boolean
Whether the connection supports generating local recording tokens
is_onbehalf_token_supported
boolean
Whether the connection supports generating onbehalf tokens
connection_failure_data
object
Information about connection failures, if any
created_at
string
Timestamp when the connection was created (ISO 8601 format)
updated_at
string
Timestamp when the connection was last updated (ISO 8601 format)
last_successful_sync_at
string
Timestamp of the last successful sync (ISO 8601 format)
last_attempted_sync_at
string
Timestamp of the last attempted sync (ISO 8601 format)
curl --request POST \
  --url https://app.attendee.dev/api/v1/zoom_oauth_connections \
  --header 'Authorization: Token YOUR_API_KEY_HERE' \
  --header 'Content-Type: application/json' \
  --data '{
    "zoom_oauth_app_id": "zoa_abcdef1234567890",
    "authorization_code": "AUTH_CODE_FROM_ZOOM",
    "redirect_uri": "https://yourapp.com/oauth/callback",
    "is_local_recording_token_supported": true,
    "is_onbehalf_token_supported": false,
    "metadata": {
      "tenant_id": "1234567890"
    }
  }'
{
  "id": "zoc_abcdef1234567890",
  "zoom_oauth_app_id": "zoa_abcdef1234567890",
  "user_id": "user_abcdef1234567890",
  "account_id": "account_abcdef1234567890",
  "state": "connected",
  "metadata": {
    "tenant_id": "1234567890"
  },
  "is_local_recording_token_supported": true,
  "is_onbehalf_token_supported": false,
  "connection_failure_data": null,
  "created_at": "2025-01-13T10:30:00.123456Z",
  "updated_at": "2025-01-13T10:30:00.123456Z",
  "last_successful_sync_at": null,
  "last_attempted_sync_at": null
}

Build docs developers (and LLMs) love